import disnake
import os
from dotenv import load_dotenv
from disnake.ext import commands,tasks

#Get variables
load_dotenv('.env')

intents = disnake.Intents().all()
bot = commands.InteractionBot(
    sync_commands_debug=False,
    intents=intents
)

@bot.slash_command(description="Test Command")
async def test_command(inter:disnake.ApplicationCommandInteraction, string:str = "Cake is a lie"):
    await inter.response.send_message(string)


bot.run(os.getenv('BOT_TOKEN'))